---
title: Headers
---

# Headers

We can use the built-in [useRequestHeaders](https://v3.nuxtjs.org/api/composables/use-request-headers/) to set outgoing request headers:

```ts [plugins/client.ts]
export default defineNuxtPlugin(() => {
  const headers = useRequestHeaders()

  const client = createTRPCProxyClient<AppRouter>({
    links: [
      httpBatchLink({
        // headers need to be a function so it gets called dynamically
        // every HTTP request
        headers() {
          // You can add more custom headers here
          return headers
        }
      }),
    ],
  })

  return {
    provide: {
      client,
    },
  }
})
```

```ts [server/trpc/context.ts]
export function createContext (event: H3Event) {
  console.log('cookies', parseCookies(event))

  return {}
}
```
